Module-less pango vs pangox-compat

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Module-less pango vs pangox-compat

Behdad Esfahbod-3
Hi Matthias,

Just a quick note that with the module-less pango, the pangox-compat lib won't
work anymore.  Not that *anyone* cares...

--
behdad
http://behdad.org/
_______________________________________________
gtk-i18n-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/gtk-i18n-list
Reply | Threaded
Open this post in threaded view
|

Re: Module-less pango vs pangox-compat

Alexandre Rostovtsev
On Fri, 2015-04-24 at 14:31 -0700, Behdad Esfahbod wrote:
> Hi Matthias,
>
> Just a quick note that with the module-less pango, the pangox-compat lib won't
> work anymore.  Not that *anyone* cares...

Some distros care. In Gentoo, I see seven remaining packages that have a
direct dependency on pangox-compat:

* acroread (for opening some pdf files with filled-in forms)
* atokx3
* gtkglext
* gtkmathview
* proprietary nvidia-drivers (legacy versions, needed for Geforce 9 and
older gpus)
* sawfish
* vmware-workstation

Of course, anything that depends on gtkglext or gtkmathview then also
pulls in pangox-compat into its depgraph.

_______________________________________________
gtk-i18n-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/gtk-i18n-list

signature.asc (970 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Module-less pango vs pangox-compat

Behdad Esfahbod-3
On 15-04-24 04:01 PM, Alexandre Rostovtsev wrote:

> On Fri, 2015-04-24 at 14:31 -0700, Behdad Esfahbod wrote:
>> Hi Matthias,
>>
>> Just a quick note that with the module-less pango, the pangox-compat
>> lib won't work anymore.  Not that *anyone* cares...
>
> Some distros care. In Gentoo, I see seven remaining packages that have a
> direct dependency on pangox-compat:
>
> * acroread (for opening some pdf files with filled-in forms) * atokx3 *
> gtkglext * gtkmathview * proprietary nvidia-drivers (legacy versions,
> needed for Geforce 9 and older gpus) * sawfish * vmware-workstation
>
> Of course, anything that depends on gtkglext or gtkmathview then also
> pulls in pangox-compat into its depgraph.

That was exactly the case in August 2012, when I developed the pangox-compat
package.  The fact that those packages link to it doesn't mean that they
actually use it.  The package continues to build and link, it just won't
perform any text rendering.  If anyone is actually relying on it rendering
text, then they'll be disappointed.

I suggest you ignore this and let the bug report(no s) come in eventually.

--
behdad
http://behdad.org/
_______________________________________________
gtk-i18n-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/gtk-i18n-list
Reply | Threaded
Open this post in threaded view
|

Re: Module-less pango vs pangox-compat

Matthias Clasen
In reply to this post by Behdad Esfahbod-3
On Fri, 2015-04-24 at 14:31 -0700, Behdad Esfahbod wrote:
> Hi Matthias,
>
> Just a quick note that with the module-less pango, the pangox-compat
> lib won't
> work anymore.  Not that *anyone* cares...
>

Thanks for the update. I do have customers who care about pangox
-compat, but it'll be a while before module-less pango hits RHEL.
_______________________________________________
gtk-i18n-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/gtk-i18n-list
Reply | Threaded
Open this post in threaded view
|

Re: Module-less pango vs pangox-compat

Behdad Esfahbod-3
On 15-04-27 01:01 PM, Matthias Clasen wrote:

> On Fri, 2015-04-24 at 14:31 -0700, Behdad Esfahbod wrote:
>> Hi Matthias,
>>
>> Just a quick note that with the module-less pango, the pangox-compat
>> lib won't
>> work anymore.  Not that *anyone* cares...
>>
>
> Thanks for the update. I do have customers who care about pangox
> -compat, but it'll be a while before module-less pango hits RHEL.

Ok.  I actually went ahead and pushed an update to pangox-compat that might
make it work:


https://git.gnome.org/browse/pangox-compat/commit/?id=edb9e0904d04d1da02bba7b78601a2aba05aaa47

If you have a way to test pangox-compat, please test, and feel free to make a
release.

--
behdad
http://behdad.org/
_______________________________________________
gtk-i18n-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/gtk-i18n-list